Package ru.bitel.bgbilling.plugins.assistant.server.bean

# Class AssistantResponse

java.lang.Object
ru.bitel.bgbilling.plugins.assistant.server.bean.AssistantResponse

public class AssistantResponse extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFieldData(String key, boolean value)`
  `void`
  `addFieldData(String key, String value)`
  `void`
  `addFieldData(String key, LocalDate value)`
  `void`
  `addFieldData(String key, List<ru.bitel.bgbilling.common.model.KeyValue> items, int defaultSelectedIndex)`
  `void`
  `addFieldData(String key, Set<Integer> contractIds, String title)`
  `void`
  `addFieldData(String key, org.json.JSONObject value)`
  `void`
  `addFieldData(String key, AssistantKeyValue[] values)`
  `void`
  `addFieldData(String key, Period value)`
  `void`
  `addFieldData(String key, EntityAttrAddress entityAttrAddress)`
  `String`
  `getError()`
  `String`
  `getErrorTitle()`
  `Map<String,Object>`
  `getFieldValues()`
  `String`
  `getNextActionId()`
  `AssistantResponseStatus`
  `getStatus()`
  `void`
  `setError(String error)`
  `void`
  `setError(String error, String errorTitle)`
  `void`
  `setErrorTitle(String errorTitle)`
  `void`
  `setNextActionId(String nextActionId)`
  `void`
  `setStatus(AssistantResponseStatus status)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssistantResponse

    public AssistantResponse()

- ## Method Details

  - ### getStatus

    public AssistantResponseStatus getStatus()

  - ### setStatus

    public void setStatus(AssistantResponseStatus status)

  - ### getError

    public String getError()

  - ### setError

    public void setError(String error)

  - ### setError

    public void setError(String error, String errorTitle)

  - ### getNextActionId

    public String getNextActionId()

  - ### setNextActionId

    public void setNextActionId(String nextActionId)

  - ### addFieldData

    public void addFieldData(String key, AssistantKeyValue[] values)

  - ### addFieldData

    public void addFieldData(String key, List<ru.bitel.bgbilling.common.model.KeyValue> items, int defaultSelectedIndex)

  - ### addFieldData

    public void addFieldData(String key, LocalDate value)

  - ### addFieldData

    public void addFieldData(String key, Period value)

  - ### addFieldData

    public void addFieldData(String key, String value)

  - ### addFieldData

    public void addFieldData(String key, boolean value)

  - ### addFieldData

    public void addFieldData(String key, Set<Integer> contractIds, String title)

  - ### addFieldData

    public void addFieldData(String key, EntityAttrAddress entityAttrAddress)

  - ### addFieldData

    public void addFieldData(String key, org.json.JSONObject value)

  - ### getFieldValues

    public Map<String,Object> getFieldValues()

  - ### setErrorTitle

    public void setErrorTitle(String errorTitle)

  - ### getErrorTitle

    public String getErrorTitle()